gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ModelView.CellRendererSpin

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Attributes

Description

Renders a spin button in a cell

- Module available since Gtk+ version 2.10

Synopsis

- data CellRendererSpin
- class CellRendererTextClass o => CellRendererSpinClass o
- castToCellRendererSpin :: GObjectClass obj => obj -> CellRendererSpin
- toCellRendererSpin :: CellRendererSpinClass o => o -> CellRendererSpin
- cellRendererSpinNew :: IO CellRendererSpin
- cellRendererSpinAdjustment :: CellRendererSpinClass self => Attr self Adjustment
- cellRendererSpinClimbRate :: CellRendererSpinClass self => Attr self Double
- cellRendererSpinDigits :: CellRendererSpinClass self => Attr self Int

# Detail

`CellRendererSpin` renders text in a cell like `CellRendererText` from which it is derived. But while `CellRendererText` offers a simple entry to edit the text, `CellRendererSpin` offers a `SpinButton` widget. Of course, that means that the text has to be parseable as a floating point number.

The range of the spinbutton is taken from the adjustment property of the cell renderer, which can be set explicitly or mapped to a column in the tree model, like all properties of cell renders. `CellRendererSpin` also has properties for the climb rate and the number of digits to display. Other `SpinButton` properties can be set in a handler for the start-editing signal.

The `CellRendererSpin` cell renderer was added in Gtk+ 2.10.

# Class Hierarchy

    | GObject
    | +----Object
    | +----CellRenderer
    | +----CellRendererText
    | +----CellRendererSpin

# Types

data CellRendererSpin Source #

#### Instances

Instances details

Eq CellRendererSpin Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: CellRendererSpin -> CellRendererSpin -> Bool Source # (/=) :: CellRendererSpin -> CellRendererSpin -> Bool Source #
Ord CellRendererSpin Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: CellRendererSpin -> CellRendererSpin -> Ordering Source #

(<) :: CellRendererSpin -> CellRendererSpin -> Bool Source #

(<=) :: CellRendererSpin -> CellRendererSpin -> Bool Source #

(>) :: CellRendererSpin -> CellRendererSpin -> Bool Source #

(>=) :: CellRendererSpin -> CellRendererSpin -> Bool Source #

max :: CellRendererSpin -> CellRendererSpin -> CellRendererSpin Source #

min :: CellRendererSpin -> CellRendererSpin -> CellRendererSpin Source #

GObjectClass CellRendererSpin Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: CellRendererSpin -> GObject Source # unsafeCastGObject :: GObject -> CellRendererSpin Source #
CellRendererClass CellRendererSpin Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CellRendererSpinClass CellRendererSpin Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CellRendererTextClass CellRendererSpin Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class CellRendererTextClass o => CellRendererSpinClass o Source #

#### Instances

Instances details

CellRendererSpinClass CellRendererSpin Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToCellRendererSpin :: GObjectClass obj => obj -> CellRendererSpin Source #

toCellRendererSpin :: CellRendererSpinClass o => o -> CellRendererSpin Source #

# Constructors

cellRendererSpinNew :: IO CellRendererSpin Source #

Creates a new `CellRendererSpin`.

- Available since Gtk+ version 2.10

# Attributes

cellRendererSpinAdjustment :: CellRendererSpinClass self => Attr self Adjustment Source #

The adjustment that holds the value of the spinbutton.

- Available since Gtk+ version 2.10

cellRendererSpinClimbRate :: CellRendererSpinClass self => Attr self Double Source #

The acceleration rate when you hold down a button.

Allowed values: >= 0

Default value: 0

- Available since Gtk+ version 2.10

cellRendererSpinDigits :: CellRendererSpinClass self => Attr self Int Source #

The number of decimal places to display.

Allowed values: <= 20

Default value: 0

- Available since Gtk+ version 2.10